Bus error on Mac 10.5.8

  • Joanna

    Joanna - 2011-09-25

    I inherited a Mac 10.5.8 and installed GDL on it.  It compiled successfully, but when I open it and try to plot anything, it opens a new window for a few seconds (which remains black), and then gives me a bus error:

    GDL> plot,findgen(10)
    Bus error

    This is the current CVS version.  I've successfully installed GDL before on another Mac 10.5, but I didn't write down what I did! :(  Please help!

    When I compiled GDL, I ran configure like this:

    ./configure -with-Magick=no -with-hdf=no -with-netcdf=no -with-hdf5=no -with-python=no -with-pslib=no -with-gsldir=/opt/local -with-readlinedir=/opt/local

    and configure gave me this output at the bottom:
                      GDL - GNU Data Language
      --- compilation options: ------------------
      System:              i386-apple-darwin9.8.0
      Installation prefix: /usr/local
      C++ compiler:        g++ -g -O2
      OpenMP support:      no
      Build type:          standalone (other: Python module)
      --- optional libraries (consult README/INSTALL): --
      wxWidgets:           yes
      Magick:              no
      NetCDF:              no
      HDF4:                no
      HDF5:                no
      FFTW:                yes
      libproject:          no  (see also MAP_INSTALL)
      MPICH:               no  (needs explicit enabling)
      Python:              no  (see also PYTHON.txt)
      UDUNITS-2:           no  (needs explicit enabling)
      GRIB:                no  (needs explicit enabling)
      GSHHS:               no  (see also MAP_INSTALL)
      Xlib:                yes
      pslib:               no
      --- notes on auxiliary files: ---------------
      - consult MAP_INSTALL for details concerning auxiliary
        files needed for mapping support
      - SAVE and RESTORE procedures require *.pro files from
        the CMSVLIB package (see README for details)

    Thanks for your help!

  • Alain C.

    Alain C. - 2011-10-13

    I also have access to such a configuration, but I have serious problems to compile the current CVS version :-(

    I hope we will be able to fix it before next 0.9.2 release.

    (older TGZ are OK for me)

  • Joanna

    Joanna - 2011-10-18

    In the end I used the fink version of the necessary libraries (gsl, readline, plplot).  then I copied the libplplotcxx and libplplotd libraries from /sw/lib/plplot to /sw/lib.  then compiling gdl and plotting was successful.


Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks